Package twisted :: Package runner :: Module inetdconf :: Class InetdConf

[show private | hide private]
[frames | no frames]

## Class InetdConf

    SimpleConfFile --+
                     |
                    InetdConf

Configuration parser for a traditional UNIX inetd(8)

Method Summary
| `__init__(self, knownServices)`
| ``parseFields`(self, serviceName, socketType, protocol, wait, user, program, *programArgs)` Parse an inetd.conf file.
| ``parseFile`(self, file)` Parse a configuration file (inherited from `SimpleConfFile`)
| ``parseLine`(self, line)` Override this. (inherited from `SimpleConfFile`)

Class Variable Summary
`str` | `defaultFilename`

Method Details

### parseFields(self, serviceName, socketType, protocol, wait, user, program, *programArgs)

Parse an inetd.conf file.

Implemented from the description in the Debian inetd.conf man page.

Class Variable Details

### defaultFilename

  Type:
    `str`
  Value:

        '/etc/inetd.conf'

Generated by Epydoc 1.1 on Thu May 8 13:16:50 2003 | http://epydoc.sf.net